Get Tenant Events
Use this endpoint to get all events for the current organization
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER
Request
URI
GET
https://{api_host}/provider/events/orgenvironments
COPY
Query Parameters
integer
duration
Required
Duration
string
timeunit
Required
TimeUnit
Possible values are :
NANOSECONDS,
MICROSECONDS,
MILLISECONDS,
SECONDS,
MINUTES,
HOURS,
DAYS,
integer
page
Optional
Zero-based page index (0..N)
integer
size
Optional
The size of the page to be returned
string of
array
sort
Optional
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
OK
Returns
PageTenantEnvRuntimeInfoHistoryDTO
of type(s)
application/vnd.vmware.dms-v1+json
{
"totalPages": 0,
"totalElements": 0,
"sort": {
"sorted": false,
"unsorted": false,
"empty": false
},
"pageable": {
"page": 0,
"size": 0,
"sort": [
"string"
]
},
"numberOfElements": 0,
"first": false,
"last": false,
"size": 0,
"content": [
{
"environmentId": "string",
"alertType": "string",
"alertStatus": "string",
"alertTime": "string",
"environmentName": "string"
}
],
"number": 0,
"empty": false
}
integer As int32
As int32
totalPages
Optional
totalPages
integer As int64
As int64
totalElements
Optional
totalElements
integer As int32
As int32
numberOfElements
Optional
numberOfElements
boolean
first
Optional
first
boolean
last
Optional
last
integer As int32
As int32
size
Optional
size
integer As int32
As int32
number
Optional
number
boolean
empty
Optional
empty
400
Bad Request
Operation doesn't return any data structure